Bug 308130

Summary: Close quick chat plasmoid if "open chat button is pressed"
Product: [Frameworks and Libraries] telepathy Reporter: Ezio Vergine <virgolus>
Component: chat-plasmoidAssignee: Telepathy Bugs <kde-telepathy-bugs>
Status: RESOLVED FIXED    
Severity: wishlist CC: aleixpol, devurandom, kde
Priority: NOR    
Version: 0.5.1   
Target Milestone: Future   
Platform: Archlinux   
OS: Linux   
Latest Commit: Version Fixed In:

Description Ezio Vergine 2012-10-09 14:07:20 UTC
Quick chat is very useful for quick view or response of a message.
If I need to talk extensively with the contact, I open the chat window with the "open chat" button in the plasmoid and write/read on it. So, If I've opened chat window, I think that the respectively chat plasmoid should close automatically.



Reproducible: Always

Steps to Reproduce:
1. Open chat window with "open chat window" button
Actual Results:  
quick chat plasmoid remain active.

Expected Results:  
quick chat plasmoid should close itself automatically
Comment 1 David Edmundson 2013-01-22 15:38:21 UTC
Agreed.
Comment 2 Dennis Schridde 2013-01-22 16:27:52 UTC
Maybe this can somehow be coupled with bug #313155? Opening in chat-window closes quick-chat, and closing/minimising chat-window shows the conversation icon in quick-chat again?
Comment 3 Aleix Pol 2013-02-20 03:06:23 UTC
That's the current behavior on master, I guess it was fixed lately...
Comment 4 Aleix Pol 2013-02-21 00:10:41 UTC
I was wrong, it wasn't fixed.
Comment 5 Aleix Pol 2013-02-21 00:43:10 UTC
Git commit afc97a65f78c7f7167e55cec6dd94b9b4fa77b21 by Aleix Pol.
Committed on 21/02/2013 at 01:41.
Pushed by apol into branch 'master'.

Clean up the code now that we sorted out the conversation closing

Don't request to close the conversation, it will be removed from
the model anyway

Take advantage of the last

M  +2    -8    chat/org.kde.ktp-chat/contents/ui/ChatWidget.qml

http://commits.kde.org/telepathy-contact-applet/afc97a65f78c7f7167e55cec6dd94b9b4fa77b21
Comment 6 Aleix Pol 2013-02-21 00:43:11 UTC
Git commit 05ab6ed4aa85438dd5fb7342ffcf4ad837d15182 by Aleix Pol.
Committed on 21/02/2013 at 01:39.
Pushed by apol into branch 'master'.

Properly close conversations before delegating them to ktp-text-ui

Helps to make a more coherent behavior upon the detaching feature.

Reviewed by David Edmundson (reviewboard is not working properly... :/)
Related: bug 302602

M  +1    -0    KTp/Declarative/conversation.cpp
M  +1    -0    KTp/Declarative/conversation.h
M  +20   -10   KTp/Declarative/conversations-model.cpp
M  +3    -0    KTp/Declarative/conversations-model.h

http://commits.kde.org/telepathy-common-internals/05ab6ed4aa85438dd5fb7342ffcf4ad837d15182